# Node

## POST /api/engine/v3/node/restart/{hid}

> Restart the MobiusFlow hub

```json
{"openapi":"3.1.3","info":{"title":"MobiusFlow® Engine API","version":"3.0.0"},"paths":{"/api/engine/v3/node/restart/{hid}":{"post":{"summary":"Restart the MobiusFlow hub","tags":["Node"],"parameters":[{"schema":{"description":"Hub ID (HID)","type":"string","minLength":6,"maxLength":6,"pattern":"\\b^[0-9A-F]{6}$\\b"},"in":"path","name":"hid","required":true,"description":"Hub ID (HID)"}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Success response","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"uri":{"description":"URI of the response","type":"string"}},"required":["ts","uri"],"additionalProperties":false}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Bad Request","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Unauthorized","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"403":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Forbidden","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Not Found","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"408":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Request Timeout","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"409":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Conflict","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"422":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Unprocessable Entity","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"500":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Internal Server Error","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}}}}}}}
```

## GET /api/engine/v3/node/config/hid

> Get the MobiusFlow hub ID

```json
{"openapi":"3.1.3","info":{"title":"MobiusFlow® Engine API","version":"3.0.0"},"paths":{"/api/engine/v3/node/config/hid":{"get":{"summary":"Get the MobiusFlow hub ID","tags":["Node"],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"uri":{"description":"URI of the response","type":"string"},"data":{"description":"Hub ID (HID)","type":"string","minLength":6,"maxLength":6,"pattern":"\\b^[0-9A-F]{6}$\\b"}},"required":["ts","uri","data"],"additionalProperties":false}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Bad Request","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Unauthorized","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"403":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Forbidden","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Not Found","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"408":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Request Timeout","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"409":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Conflict","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"422":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Unprocessable Entity","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"500":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Internal Server Error","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}}}}}}}
```

## POST /api/engine/v3/node/config/hid/{hid}

> Change the MobiusFlow hub ID

```json
{"openapi":"3.1.3","info":{"title":"MobiusFlow® Engine API","version":"3.0.0"},"paths":{"/api/engine/v3/node/config/hid/{hid}":{"post":{"summary":"Change the MobiusFlow hub ID","tags":["Node"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"hid":{"description":"Hub ID (HID)","type":"string","minLength":6,"maxLength":6,"pattern":"\\b^[0-9A-F]{6}$\\b"}},"required":["hid"]}}},"required":true},"parameters":[{"schema":{"description":"Hub ID (HID)","type":"string","minLength":6,"maxLength":6,"pattern":"\\b^[0-9A-F]{6}$\\b"},"in":"path","name":"hid","required":true,"description":"Hub ID (HID)"}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Success response","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"uri":{"description":"URI of the response","type":"string"}},"required":["ts","uri"],"additionalProperties":false}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Bad Request","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Unauthorized","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"403":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Forbidden","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Not Found","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"408":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Request Timeout","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"409":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Conflict","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"422":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Unprocessable Entity","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"500":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Internal Server Error","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}}}}}}}
```

## GET /api/engine/v3/node/brokerstats/{hid}

> Get the MobiusFlow hub broker statistics

```json
{"openapi":"3.1.3","info":{"title":"MobiusFlow® Engine API","version":"3.0.0"},"paths":{"/api/engine/v3/node/brokerstats/{hid}":{"get":{"summary":"Get the MobiusFlow hub broker statistics","tags":["Node"],"parameters":[{"schema":{"description":"Hub ID (HID)","type":"string","minLength":6,"maxLength":6,"pattern":"\\b^[0-9A-F]{6}$\\b"},"in":"path","name":"hid","required":true,"description":"Hub ID (HID)"}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"uri":{"description":"URI of the response","type":"string"},"data":{"type":"object","properties":{"lastUpdated":{"type":"string"},"upTime":{"type":"number"},"clientCount":{"type":"number"},"clientCountMax":{"type":"number"},"messageCount":{"type":"number"}},"required":["lastUpdated","upTime","clientCount","clientCountMax","messageCount"],"additionalProperties":false}},"required":["ts","uri","data"],"additionalProperties":false}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Bad Request","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Unauthorized","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"403":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Forbidden","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Not Found","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"408":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Request Timeout","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"409":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Conflict","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"422":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Unprocessable Entity","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"500":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Internal Server Error","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}}}}}}}
```

## GET /api/engine/v3/node/backup/full/{hid}

> Perform a full backup of MobiusFlow data

```json
{"openapi":"3.1.3","info":{"title":"MobiusFlow® Engine API","version":"3.0.0"},"paths":{"/api/engine/v3/node/backup/full/{hid}":{"get":{"summary":"Perform a full backup of MobiusFlow data","tags":["Node"],"parameters":[{"schema":{"type":"string"},"in":"path","name":"hid","required":true}],"responses":{"200":{"description":"Default Response"}}}}}}
```

## POST /api/engine/v3/node/restore/full/{hid}

> Perform a full restore of MobiusFlow data

```json
{"openapi":"3.1.3","info":{"title":"MobiusFlow® Engine API","version":"3.0.0"},"paths":{"/api/engine/v3/node/restore/full/{hid}":{"post":{"summary":"Perform a full restore of MobiusFlow data","tags":["Node"],"parameters":[{"schema":{"type":"string"},"in":"path","name":"hid","required":true}],"responses":{"200":{"description":"Default Response"}}}}}}
```

## POST /api/engine/v3/node/restartcontainers/{hid}

> Restart one or more containers

```json
{"openapi":"3.1.3","info":{"title":"MobiusFlow® Engine API","version":"3.0.0"},"paths":{"/api/engine/v3/node/restartcontainers/{hid}":{"post":{"summary":"Restart one or more containers","tags":["Node"],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"parameters":[{"schema":{"description":"Hub ID (HID)","type":"string","minLength":6,"maxLength":6,"pattern":"\\b^[0-9A-F]{6}$\\b"},"in":"path","name":"hid","required":true,"description":"Hub ID (HID)"}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Success response","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"uri":{"description":"URI of the response","type":"string"}},"required":["ts","uri"],"additionalProperties":false}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Bad Request","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Unauthorized","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"403":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Forbidden","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Not Found","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"408":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Request Timeout","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"409":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Conflict","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"422":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Unprocessable Entity","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"500":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Internal Server Error","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mobiusflow.com/help/mobiusflow-v3/mobiusflow-engine-api-v3/node.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
